
From: Jes Sorensen <jes@wildopensource.com>

Could you add this one to your patchset, it fixes the sn2 code to work with
the new location of the mask.


---

 25-akpm/arch/ia64/sn/io/machvec/pci_dma.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ia64/sn/io/machvec/pci_dma.c~move-dma_consistent_dma_mask-sn-fix arch/ia64/sn/io/machvec/pci_dma.c
--- 25/arch/ia64/sn/io/machvec/pci_dma.c~move-dma_consistent_dma_mask-sn-fix	Wed Mar  3 15:23:16 2004
+++ 25-akpm/arch/ia64/sn/io/machvec/pci_dma.c	Wed Mar  3 15:23:16 2004
@@ -152,7 +152,7 @@ sn_pci_alloc_consistent(struct pci_dev *
 	 *   pcibr_dmatrans_addr ignores a missing PCIIO_DMA_A64 flag on
 	 *   PCI-X buses.
 	 */
-	if (hwdev->consistent_dma_mask == ~0UL)
+	if (hwdev->dev.coherent_dma_mask == ~0UL)
 		*dma_handle = pcibr_dmatrans_addr(vhdl, NULL, phys_addr, size,
 					  PCIIO_DMA_CMD | PCIIO_DMA_A64);
 	else {
@@ -169,7 +169,7 @@ sn_pci_alloc_consistent(struct pci_dev *
 		}
 	}
 
-	if (!*dma_handle || *dma_handle > hwdev->consistent_dma_mask) {
+	if (!*dma_handle || *dma_handle > hwdev->dev.coherent_dma_mask) {
 		if (dma_map) {
 			pcibr_dmamap_done(dma_map);
 			pcibr_dmamap_free(dma_map);

_
